Discover capability information.
POST /capability/{capability_id}
Returns capability information based on the parameters provided. Also returns request parameters or defaults if request parameters are blank.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
POST v5/ibm/capability/:capability_id
Request
Request Body
Parameters for discovering capability.
deployment
object
Either `deployment` or `backup`, not both. The `deployment` object can only be used with its supported `capability_id`.
type
string
Type of database
version
string
database version
platform
string
classic or satellite
location
string
where the database is located
plan
string
database plan
backup
object
Either `deployment` or `backup`, not both. The `backup` object can only be used with its supported `capability_id`.
type
string
Type of database
version
string
database version
platform
string
classic or satellite
location
string
where the database is located
options
object
target_platform
string
classic, satellite, or vpc-gen2
target_location
string
Target location
host_flavor
string
which host_flavor groups to return
Path Parameters
capability_id
Required *
string
Capability ID
Query Parameters
Response
200 - capability information
capability
Capability
403 - Invalid token
422 - Unprocessable Entity
Discover capability information from a deployment.
GET /deployments/{id}/capability/{capability_id}
Returns capability information based on the deployment provided. Also returns url parameters or defaults if request parameters are blank.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
GET v5/ibm/deployments/:deployment_id/capability/:capability_id
Request
Path Parameters
id
Required *
string
Deployment ID
capability_id
Required *
string
Capability ID
Query Parameters
target_platform
string
Target platform. Required for Point In Time Recovery.
target_location
string
Target location. Required for Point In Time Recovery.
host_flavor
string
When a host_flavor of 'multitenant' is included with the request, IBM Cloud Database's new shared compute groups will be returned
include_hidden
boolean
Include hidden versions. Only applicable for versions capability.
include_beta
boolean
Include beta versions. Only applicable for versions capability.
Response
200 - capability information
capability
Capability
403 - Invalid token
422 - Unprocessable Entity
Discover capability information from a backup.
GET /backups/{backup_id}/capability/{capability_id}
Returns capability information based on the backup provided. Also returns url parameters or defaults if request parameters are blank.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
GET v5/ibm/backups/:backup_id/capability/:capability_id
Request
Path Parameters
backup_id
Required *
string
Backup ID
capability_id
Required *
string
Capability ID
Query Parameters
target_platform
string
Target platform. Supported values: `classic`, `satellite`, `vpc-gen2`.
target_location
string
Target location.
host_flavor
string
When a host_flavor of 'multitenant' is included with the request, IBM Cloud Database's new shared compute groups will be returned
Response
200 - capability information
capability
Capability
403 - Invalid token
422 - Unprocessable Entity
List all deployable databases
GET /deployables
Returns a list of all the types and associated major versions of database deployments that can be provisioned.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
GET /v5/ibm/deployables
Request
Response
200 - Deployable database objects
deployables
array
403 - Invalid token
List all deployable regions
GET /regions
Returns a list of all the regions that deployments can be provisioned into from the current region. Used to determine region availability for read-only replicas
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
GET /v5/ibm/regions
Request
Response
200 - A regions object
regions
array
An array of region ids
403 - Invalid token
Get deployment information
GET /deployments/{id}
Gets the full data that is associated with a deployment. This data includes the ID, name, database type, and version.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
GET /v5/ibm/deployments/:deployment_id
Request
Path Parameters
id
Required *
string
Deployment ID
Query Parameters
Response
200 - A deployment response
deployment
Deployment
403 - Invalid token
List currently running tasks on a deployment
GET /deployments/{id}/tasks
Obtain a list of tasks currently running or recently run on a deployment. Tasks are ephemeral. Records of successful tasks are shown for 24-48 hours, and unsuccessful tasks are shown for 7-8 days.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
GET /v5/ibm/deployments/:deployment_id/tasks
Request
Path Parameters
id
Required *
string
Deployment ID
Query Parameters
Response
200 - An array of tasks
tasks
array
403 - Invalid token
Get information about a task
GET /tasks/{id}
Get information about a task and its status. Tasks themselves are persistent so old tasks can be consulted as well as running tasks.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
GET /v5/ibm/tasks/:task_id
Request
Path Parameters
id
Required *
string
Task ID
Query Parameters
Response
200 - A task
task
Task
303 - A completed task redirects to the associated resource.
task
Task
403 - Invalid token
Get information about a backup
GET /backups/{backup_id}
Get information about a backup, such as creation date.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
GET /v5/ibm/backups/:backup_id
Request
Path Parameters
backup_id
Required *
string
Backup ID
Query Parameters
Response
200 - A backup response
backup
Backup
403 - Invalid token
List currently available backups from a deployment
GET /deployments/{id}/backups
Get details of all currently available backups from a deployment.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
GET /v5/ibm/deployments/:deployment_id/backups
Request
Path Parameters
id
Required *
string
Deployment ID
Query Parameters
Response
200 - An array of backups
backups
array
An array of backups.
403 - Invalid token
Initiate an on-demand backup
POST /deployments/{id}/backups
Signal the platform to create an on-demand backup for the specified deployment. The returned task can be polled to track progress of the backup as it takes place.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
POST /v5/ibm/deployments/:deployment_id/backups
Auditing
Calling this method generates the following auditing event.
<service_id>.backup-ondemand.create
Request
Path Parameters
id
Required *
string
Deployment ID
Query Parameters
Response
200 - A task
task
Task
403 - Invalid token
422 - An error message response
errors
object
Get earliest point-in-time-recovery timestamp
GET /deployments/{id}/point_in_time_recovery_data
Returns the earliest available time for point-in-time-recovery in ISO8601 UTC format. PostgreSQL, EnterpriseDB, MySQL and MongoDB Enterprise only.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
GET /v5/ibm/deployments/:deployment_id/point_in_time_recovery_data
Request
Path Parameters
id
Required *
string
Deployment ID
Query Parameters
Response
200 - The earliest point-in-time-recovery time
point_in_time_recovery_data
PointInTimeRecoveryData
403 - Invalid token
404 - not found
List currently available scaling groups from a deployment
GET /deployments/{id}/groups
Scaling groups represent the various resources that are allocated to a deployment. This command allows for the retrieval of all of the groups for a particular deployment.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
GET /v5/ibm/deployments/:deployment_id/groups
Request
Path Parameters
id
Required *
string
Deployment ID
Query Parameters
Response
200 - An array of scaling groups
groups
array
403 - Invalid token
Get default scaling groups for a new deployment
GET /deployables/{type}/groups
Scaling groups represent the various resources allocated to a deployment. When a new deployment is created, there are a set of defaults for each database type. This endpoint returns them for a particular database.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
GET /v5/ibm/deployables/:type/groups
Request
Path Parameters
type
Required *
string
Database type name
Query Parameters
host_flavor
string
When a host_flavor of 'multitenant' is included with the request, IBM Cloud Database's new shared compute default groups will be returned
Response
200 - An array of scaling groups
groups
array
403 - Invalid token
Set scaling values on a specified group.
PATCH /deployments/{id}/groups/{group_id}
Set scaling value on a specified group. Can only be performed on is_adjustable=true groups. Values set are for the group as a whole and resources are distributed amongst the group. Values must be greater than or equal to the minimum size and must be a multiple of the step size.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
PATCH /v5/ibm/deployments/:deployment_id/groups/:group_id
Request
Request Body
Scaling group settings
group
GroupScaling
members
object
memory
object
cpu
object
disk
object
host_flavor
object
Path Parameters
id
Required *
string
Deployment ID
group_id
Required *
string
Group Id
Query Parameters
Response
202 - A task which is being run to scale the deployment
task
Task
403 - Invalid token
422 - An error message response
errors
object
Get the autoscaling configuration from a deployment
GET /deployments/{id}/groups/{group_id}/autoscaling
The Autoscaling configuration represents the various conditions that control autoscaling for a deployment. This command allows for the retrieval of all autoscaling conditions for a particular deployment.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
GET /v5/ibm/deployments/:deployment_id/groups/:group_id/autoscaling
Request
Path Parameters
id
Required *
string
Deployment ID
group_id
Required *
string
Group ID
Query Parameters
Response
200 - An object containing autoscaling conditions
autoscaling
object
403 - Invalid token
404 - Not Found
Set the autoscaling configuration from a deployment
PATCH /deployments/{id}/groups/{group_id}/autoscaling
Enable, disable, or set the conditions for autoscaling on your deployment. Memory, disk, and CPU (if available) can be set separately and are not all required.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
PATCH /v5/ibm/deployments/:deployment_id/groups/:group_id/autoscaling
Auditing
Calling this method generates the following auditing event.
<service_id>.autoscaling.update
Request
Request Body
AutoscalingSetGroup
Autoscaling configuration
autoscaling
Required *
object
Path Parameters
id
Required *
string
Deployment ID
group_id
Required *
string
Group ID
Query Parameters
Response
202 - A task which is being run to configure autoscaling
task
Task
403 - Invalid token
404 - Not Found
Creates a user based on user type
POST /deployments/{id}/users/{user_type}
Creates a user in the database that can access the database through a connection.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
POST /v5/ibm/deployments/:deployment_id/users/:user_type
Auditing
Calling this method generates the following auditing event.
<service_id>.user.create
Request
Request Body
Parameters for creating the user
user
User
Path Parameters
id
Required *
string
Deployment ID
user_type
Required *
string
User type
Query Parameters
Response
202 - A task which is being run to create the user
task
Task
403 - Invalid token
422 - An error message response
errors
object
Update a user's password or role.
PATCH /deployments/{id}/users/{user_type}/{username}
Sets the password or role of a specified user. Updating roles is only supported for Redis 6.0 or greater.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
PATCH /v5/ibm/deployments/:deployment_id/users/:user_type/:user_id
Auditing
Calling this method generates the following auditing event.
<service_id>.user-password.update
Request
Request Body
User Details
user
UserUpdate
password
Required *
string
Password for user. Password must be at least 15 characters in length and contain a letter and number.
role
Required *
string
RBAC role for redis database user types. Available for Redis 6.0 and above. Must use Redis ACL syntax to add or remove command categories. Allowed categories are `read`, `write`, `admin` and `all`.
Path Parameters
id
Required *
string
Deployment ID
user_type
Required *
string
User type
username
Required *
string
User ID
Query Parameters
Response
202 - A task which is being run to set the user password
task
Task
403 - Invalid token
422 - An error message response
errors
object
Deletes a user based on user type
DELETE /deployments/{id}/users/{user_type}/{username}
Removes a user from the deployment.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
DELETE /v5/ibm/deployments/:deployment_id/users/:user_type/:user_id
Auditing
Calling this method generates the following auditing event.
<service_id>.user.delete
Request
Path Parameters
id
Required *
string
Deployment ID
user_type
Required *
string
User type
username
Required *
string
Username
Query Parameters
Response
202 - A task which is being run to delete the user
task
Task
403 - Invalid token
422 - An error message response
errors
object
Discover connection information for a deployment for a user with an endpoint type.
GET /deployments/{id}/users/{user_type}/{user_id}/connections/{endpoint_type}
Discover connection information for a deployment for a user with an endpoint type.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
GET /v5/ibm/deployments/:deployment_id/users/:user_type/:user_id/connections/:endpoint_type
Request
Path Parameters
id
Required *
string
Deployment ID
user_type
Required *
string
User type
user_id
Required *
string
User ID
endpoint_type
Required *
string
Endpoint Type. The endpoint must be enabled on the deployment before its connection information can be fetched.
Query Parameters
certificate_root
string
Optional certificate root path to prepend certificate names. Certificates would be stored in this directory for use by other commands.
Response
200 - A Connection
connection
Connection
403 - Invalid token
Discover connection information for a deployment for a user with substitutions and an endpoint type.
POST /deployments/{id}/users/{user_type}/{user_id}/connections/{endpoint_type}
Discover connection information for a deployment for a user. Behaves the same as the GET method but substitutes the provided password parameter into the returned connection information.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
POST /v5/ibm/deployments/:deployment_id/users/:user_type/:user_id/connections/:endpoint_type
Request
Request Body
Optional parameters to be substituted into the response
password
string
Password to be substituted into the response
certificate_root
string
Optional certificate root path to prepend certificate names. Certificates would be stored in this directory for use by other commands.
Path Parameters
id
Required *
string
Deployment ID
user_type
Required *
string
User type of `database` is the only currently supported value.
user_id
Required *
string
User ID
endpoint_type
Required *
string
Endpoint Type. The select endpoint must be enabled on the deployment before its connection information can be fetched.
Query Parameters
Response
200 - A Connection
connection
Connection
403 - Invalid token
422 - An error message response
errors
object
Discover user name and password information for a deployment for a user with an endpoint type.
GET /deployments/{id}/users/{user_id}/
Only for Redis v5 and prior: Discover connection information for a deployment for a user with an endpoint type.
Request
Path Parameters
id
Required *
string
Deployment ID
user_id
Required *
string
User ID
Query Parameters
Response
200 - User
id
string
ID of the task.
resource_type
string
The resource type of the task
description
string
Human-readable description of the task.
status
string
The status of the task.
deployment_id
string
ID of the deployment the task is being performed on.
progress_percent
integer
Indicator as percentage of progress of the task.
created_at
string
Date and time when the task was created.
500 - Not Found
Discover connection information for a deployment for a user.
GET /deployments/{id}/users/{user_type}/{user_id}/connections
Discover connection information for a deployment for a user.
Request
Path Parameters
id
Required *
string
Deployment ID
user_type
Required *
string
User type
user_id
Required *
string
User ID
Query Parameters
certificate_root
string
Optional certificate root path to prepend certificate names. Certificates would be stored in this directory for use by other commands.
Response
200 - A Connection
connection
Connection
403 - Invalid token
Discover connection information for a deployment for a user with substitutions.
POST /deployments/{id}/users/{user_type}/{user_id}/connections
Discover connection information for a deployment for a user. Behaves the same as the GET method but substitutes the given password parameter into the returned connection information.
Request
Request Body
Optional parameters to be substituted into the response
password
string
Password to be substituted into the response
certificate_root
string
Optional certificate root path to prepend certificate names. Certificates would be stored in this directory for use by other commands.
Path Parameters
id
Required *
string
Deployment ID
user_type
Required *
string
User type
user_id
Required *
string
User ID
Query Parameters
Response
200 - A Connection
connection
Connection
403 - Invalid token
422 - An error message response
errors
object
Retrieve the allowlisted addresses and ranges for a deployment.
GET /deployments/{id}/allowlists/ip_addresses
Retrieve the allowlisted addresses and ranges for a deployment.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
GET /v5/ibm/deployments/:deployment_id/allowlists/ip_addresses
Request
Path Parameters
id
Required *
string
Deployment ID
Query Parameters
Response
200 - An allowlist
ip_addresses
array
403 - Invalid token
422 - An error message response
errors
object
Set the allowlist for a deployment.
PUT /deployments/{id}/allowlists/ip_addresses
Set the allowlist for a deployment. This action overwrites all existing entries, so when you modify the allowlist via a GET/update/PUT, provide the GET response's ETag header value in this endpoint's If-Match header to ensure that changes that are made by other clients are not accidentally overwritten.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
PUT /v5/ibm/deployments/:deployment_id/allowlists/ip_addresses
Auditing
Calling this method generates the following auditing event.
<service_id>.allowlisted-ips-list.update
Request
Request Body
New allowlist
ip_addresses
array
Path Parameters
id
Required *
string
Deployment ID
Query Parameters
Response
202 - A task which is being run to add the allowlist entry
task
Task
403 - Invalid token
422 - An error message response
errors
object
Add an address or range to the allowlist for a deployment.
POST /deployments/{id}/allowlists/ip_addresses
Add an address or range to the allowlist for a deployment.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
POST /v5/ibm/deployments/:deployment_id/allowlists/ip_addresses
Request
Request Body
New allowlist Entry
ip_address
AllowlistEntry
address
string
An IPv4 address or a CIDR range (netmasked IPv4 address)
description
string
A human readable description of the address or range for identification purposes.
Path Parameters
id
Required *
string
Deployment ID
Query Parameters
Response
202 - A task which is being run to add the allowlist entry
task
Task
403 - Invalid token
422 - An error message response
errors
object
Delete an address or range from the allowlist of a deployment.
DELETE /deployments/{id}/allowlists/ip_addresses/{ipaddress}
Delete an address or range from the allowlist of a deployment.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
DELETE /v5/ibm/deployments/:deployment_id/allowlists/ip_addresses/:ip_address_id
Request
Path Parameters
id
Required *
string
Deployment ID
ipaddress
Required *
string
An IPv4 address or a CIDR range (netmasked IPv4 address)
Query Parameters
Response
202 - A task which is being run to delete the allowlist entry
task
Task
403 - Invalid token
422 - An error message response
errors
object
Kill connections to a PostgreSQL or EnterpriseDB deployment
DELETE /deployments/{id}/management/database_connections
Closes all the connections on a deployment. Available for PostgreSQL and EnterpriseDB ONLY.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
DELETE /v5/ibm/deployments/:deployment_id/management/database_connections
Request
Path Parameters
id
Required *
string
Deployment ID
Query Parameters
Response
202 - A task
task
Task
403 - Invalid token
404 - not found
Control write actions on a deployment
PATCH /deployments/{id}/management/database_write
Quiesces a deployment by stopping write actions, or resumes writes to bring the deployment out of quiesce mode.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
PATCH /v5/ibm/deployments/:deployment_id/management/database_write
Request
Request Body
Database write configuration
stop
Required *
string
Set to `"yes"` to put the deployment into quiesce mode (stop all writes), or `"no"` to resume writes.
Path Parameters
id
Required *
string
Deployment ID
Query Parameters
Response
202 - A task which is being run to change the write mode of the deployment
task
Task
403 - Invalid token
404 - Not found or Operation not supported for this deployment type
422 - An error message response
errors
object
Sync files uploaded to Elasticsearch deployment
POST /deployments/{id}/elasticsearch/file_syncs
Starts a task that writes files to disk. Available for Elasticsearch ONLY.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
POST /v5/ibm/deployments/:deployment_id/elasticsearch/file_syncs
Request
Path Parameters
id
Required *
string
Deployment ID
Query Parameters
Response
200 - A task
task
Task
403 - Invalid token
404 - not found
Create a new logical replication slot
POST /deployments/{id}/postgresql/logical_replication_slots
Creates a new logical replication slot on the specified database. For use with PostgreSQL and wal2json only.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
POST /v5/ibm/deployments/:deployment_id/postgresql/logical_replication_slots
Request
Request Body
Defines the logical replication slot. All fields are required.
logical_replication_slot
LogicalReplicationSlot
name
Required *
string
name of the replication slot
database_name
Required *
string
name of the database the replication slot is created on
plugin_type
Required *
string
creating a replication slot is only supported for use with wal2json
Path Parameters
id
Required *
string
Deployment ID
Query Parameters
Response
202 - A task
task
Task
403 - Invalid token
404 - not found
Delete a logical replication slot
DELETE /deployments/{id}/postgresql/logical_replication_slots/{name}
Deletes a logical replication slot from a database. For use with PostgreSQL, EnterpriseDB, and wal2json only.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
DELETE /v5/ibm/deployments/:deployment_id/postgresql/logical_replication_slots/:name
Request
Path Parameters
id
Required *
string
Deployment ID
name
Required *
string
Name of the logical replication slot
Query Parameters
Response
202 - A task
task
Task
403 - Invalid token
404 - not found
Change your database configuration
PATCH /deployments/{id}/configuration
Change your database configuration. Available for PostgreSQL, EnterpriseDB, MySQL, RabbitMQ and Redis ONLY.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
PATCH /v5/ibm/deployments/:deployment_id/configuration
Request
Request Body
Database configuration
configuration
Configuration
Path Parameters
id
Required *
string
Deployment ID
Query Parameters
Response
200 - A task
task
Task
403 - Invalid token
404 - not found
Get the schema of the database configuration
GET /deployments/{id}/configuration/schema
Get the schema of the database configuration. Available for PostgreSQL and Redis ONLY.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
GET /v5/ibm/deployments/:deployment_id/configuration/schema
Request
Path Parameters
id
Required *
string
Deployment ID
Query Parameters
Response
200 - A database configuration schema
schema
ConfigurationSchema
Database Configuration Schema
403 - Invalid token
404 - not found
List read-only replica information
GET /deployments/{id}/remotes
Get the read-only replicas associated with a deployment. Available for PostgreSQL and EnterpriseDB ONLY.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
GET /v5/ibm/deployments/:deployment_id/remotes
Request
Path Parameters
id
Required *
string
Deployment ID
Query Parameters
Response
200 - A remotes object
remotes
Remotes
Remotes
403 - Invalid token
404 - not found
Modify read-only replication on a deployment
PATCH /deployments/{id}/remotes
Promote a read-only remote replica to leader by calling with leader set to an empty string. Available for PostgreSQL and EnterpriseDB ONLY.
Request
Request Body
Parameters for promoting a read-only replica
remotes
object
leader
string
Leader should be an empty string
skip_initial_backup
boolean
Option to restore instance without taking a backup once data is restored. Allows restored deployment to be available sooner.
Path Parameters
id
Required *
string
Deployment ID
Query Parameters
Response
200 - A task
task
Task
403 - Invalid token
404 - not found
422 - promotion is the only feature supported and must be requested as an empty string
Resync read-only replica
POST /deployments/{id}/remotes/resync
Reinitialize a read-only replica. Available for PostgreSQL and EnterpriseDB ONLY.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
POST /v5/ibm/deployments/:deployment_id/remotes/resync
Request
Path Parameters
id
Required *
string
Deployment ID of the read-only replica
Query Parameters
Response
200 - A task
task
Task
403 - Invalid token
404 - not found
Promote read-only replica to a full deployment
POST /deployments/{id}/remotes/promotion
Promote a read-only replica or upgrade and promote a read-only replica. Available for PostgreSQL and EnterpriseDB ONLY.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
POST /v5/ibm/deployments/:deployment_id/remotes/promotion
Request
Request Body
Parameters for promoting a read-only replica
promotion
Promotion
Promotion and Upgrade options
version
string
Version number to upgrade to.
skip_initial_backup
boolean
Skip the initial backup of the deployment post-promotion.
dry_run
boolean
Validate upgrade success, DOES NOT run the promotion and upgrade.
Path Parameters
id
Required *
string
Deployment ID of the read-only replica to promote
Query Parameters
Response
200 - A task
task
Task
403 - Invalid token
404 - not found
433 - An error message response from sending invalid body parameters.
errors
object
Upgrade your database version
PATCH /deployments/{id}/version
Upgrade your database version. See version upgrade documentation for details
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
PATCH /v5/ibm/deployments/:deployment_id/version
Request
Request Body
SetInplaceVersionUpgrade
In-place version upgrade
version
Required *
string
a database version
Path Parameters
id
Required *
string
Deployment ID
Query Parameters
skip_backup
boolean
(Optional, Boolean) Whether to skip taking a backup before upgrading the database version. This is only applicable for supported database types. To learn more, refer to the version upgrade documentation.
expiration_datetime
string
The expiration_datetime must be in the ISO8601 timestamp format and between 5 minutes and 24 hours from now. It allows you to specify how long to wait for the job to start before the upgrade is cancelled.
Response
200 - A task
task
Task
403 - Invalid token
404 - not found
422 - An error message response
errors
object